
QGIS Application - Bug report #5730

Trasparent pixels list turns NULLs into "0"

2012-06-04 04:14 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15243

Description

Take a rasters with NULLS (example http://www.faunalia.pt/downloads/declives_pttm06.tar.gz )

with the greyscale colormap is all OK.

Give it a different colormap and the NULLs will be given a colour (not handy).

Then enter the raster properties and in the trasparent pixel list use the "add values from display" tool to pick the NULLs and turn them

trasparent -> the NULLs will turn to "0" and so the "0" pixels will become transparent instead of the NULLs ones.

This was observed on both master and 1.7.4

History

#1 - 2012-06-25 02:50 PM - stefano campus

in my experience, the only solution is to reclassify no data values to -99999.

in this case all works fine and transparency is mantained.

#2 - 2012-09-04 12:09 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2012-10-04 04:00 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Solved in master.
